// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/widgets.dart';

abstract class Constants {
  static const white = Color(0xFFFFFFFF);
  static const dark = Color(0xFF383C40);

  static const blue1 = Color(0xFF3C97FB);
  static const blue2 = Color(0xFF446DF4);
  static const blue3 = Color(0xFF1A84F7);
  static const blue4 = Color(0xFF1344E4);

  static const grey1 = Color(0xFF60656A);
  static const grey2 = Color(0xFF383C40);

  static const grey3 = Color(0xFF16191D);
  static const grey4 = Color(0xFF33373E);

  static const green1 = Color(0xFF50CE99);
  static const green2 = Color(0xFF339572);

  static const red1 = Color(0xFFFB5E3C);
  static const red2 = Color(0xFFF44464);

  static const blueGradient = [blue1, blue2];
  static const blueDarkGradient = [blue3, blue4];
  static const greyGradient = [grey1, grey2];
  static const greyDarkGradient = [grey3, grey4];
  static const greenGradient = [green1, green2];
  static const redGradient = [red1, red2];
}
